Skip to content

Create an appointment

POST
/api/agenda/
curl --request POST \
--url https://api.koibox.cloud/api/agenda/ \
--header 'Content-Type: application/json' \
--header 'X-Koibox-Key: <X-Koibox-Key>' \
--data '{ "notas": "example", "duracion": "example", "titulo": "example", "observaciones": "example", "is_empleado_aleatorio": true, "fecha": "2026-04-15", "hora_inicio": "example", "hora_fin": "example", "is_cliente_en_centro": true, "user": { "value": 1, "text": "example", "color": "example", "username": "hello@example.com", "foto_url_absolute_path": "https://example.com" }, "cliente": { "text": "example", "value": 1, "email": "hello@example.com", "movil": "example", "notas": "example", "foto_url_absolute_path": "https://example.com", "localidad": "example", "importe_ventas": 1, "importe_deudas": 1, "code": 1, "manual_code": "example", "fijo": "example", "dni": "example", "prefijo_tel": 1 }, "estado": { "id": 1, "value": 1, "nombre": "example", "text": "example" }, "servicios": [ { "referencia": "example", "nombre": "example", "detalle": "example", "precio": "example", "is_tarifas": true, "precio_tarifa1": "example", "precio_tarifa2": "example", "precio_tarifa3": "example", "precio_tarifa4": "example", "duracion": "example", "categoria": { "value": 1, "text": "example", "nombre": "example", "id": 1, "orden": 1, "is_active": true }, "is_active": true, "users": [ { "value": 1, "text": "example", "color": "example", "username": "hello@example.com", "foto_url_absolute_path": "https://example.com" } ], "is_disponible_online": true, "descuento_online": 1, "secure_payment_amount": "example", "productos_escandallo": [ { "categoria": { "value": 1, "text": "example", "nombre": "example", "id": 1, "orden": 1, "is_active": true }, "proveedor": {}, "servicios_escandallo": [], "stock": { "existencias": 1, "stock_minimo": 1 }, "barcode": "example", "referencia": "example", "nombre": "example", "detalle": "example", "precio": 1, "precio_online": 1, "precio_coste": 1, "pedido_minimo": 1, "is_active": true, "is_uso_interno": false, "is_disponible_ecommerce": true, "imagenes": [ { "name": "example", "size": 1, "type": "example", "opts": { "principal": true } } ], "impuesto": 1 } ], "impuesto": 1, "orden": 1, "tbai_vat_exemption_cause": 1 } ], "servicios_combinados": [ 1 ], "tags": [ { "name": "example" } ] }'
Media typeapplication/json
object
id

Read-only

integer
notas
string
duracion
string format: time
created

Read-only

string format: date-time
updated

Read-only

string format: date-time
titulo
required
string
observaciones
string
historico

Read-only

string format: html
is_empleado_aleatorio
boolean
fecha
required

Date of the appointment, expected in the center’s time zone

string format: date
hora_inicio
required
string format: time
hora_fin

Required in appointments with normal services and without combined services. Do not include in appointments with combined services.

string format: time
is_notificada_por_sms

Read-only

boolean
is_notificada_por_email

Read-only

boolean
is_notificada_por_push

Read-only

boolean
origen

Read-only

string
Allowed values: c p w f i a t in pa pc g s api ig
precio

Read-only

number
precio_sin_descuento

Read-only

number
descuento

Read-only

number
is_cliente_en_centro
boolean
is_notificada_por_whatsapp

Read-only

boolean
user
required
One of:

Read-only

object
value

Identifier of the user

integer
text

Name of the user

string
color
string format: hex
username
string format: email
foto_url_absolute_path
string format: uri
created_by

Read-only

object
value

Identifier of the user

integer
text

Name of the user

string
color
string format: hex
username
string format: email
foto_url_absolute_path
string format: uri
cliente
One of:

Read-only

object
text

Name of the client

string
value

Identifier of the client

integer
email
string format: email
movil

Mobile number of the client

string format: tel
notas
string
is_anonymous
boolean
foto_url_absolute_path
string format: uri
localidad
string
importe_ventas
number
importe_deudas
number
code
integer
manual_code
string
fijo
string
dni
string
prefijo_tel
integer
estado
One of:

Read-only

object
id

Identifier of the state

integer
value
integer
nombre
string
text
string
parent

Parent appointment of the current one, read-only

integer
servicios
One of:

Write-only

integer
servicios_combinados

IDs of the combined services of the appointment, write-only. Including combined services in the appointment will automatically split it by services.

Array<integer>
created_timezone

Time adjusted to the center’s time zone, read-only

string format: date-time
venta

Sale created from the appointment, read-only

integer
tags

Labels of the appointment

Array
object
id

Read-only

integer
name

Name of the label

string
hmac_signature

HMAC signature of the appointment used to send the user to the online payment flow, read-only

string

The created appointment. If combined services are included, it is automatically split by services, so an array with each created appointment is returned.

Media typeapplication/json
One of:
object
id

Read-only

integer
notas
string
duracion
string format: time
created

Read-only

string format: date-time
updated

Read-only

string format: date-time
titulo
required
string
observaciones
string
historico

Read-only

string format: html
is_empleado_aleatorio
boolean
fecha
required

Date of the appointment, expected in the center’s time zone

string format: date
hora_inicio
required
string format: time
hora_fin

Required in appointments with normal services and without combined services. Do not include in appointments with combined services.

string format: time
is_notificada_por_sms

Read-only

boolean
is_notificada_por_email

Read-only

boolean
is_notificada_por_push

Read-only

boolean
origen

Read-only

string
Allowed values: c p w f i a t in pa pc g s api ig
precio

Read-only

number
precio_sin_descuento

Read-only

number
descuento

Read-only

number
is_cliente_en_centro
boolean
is_notificada_por_whatsapp

Read-only

boolean
user
required
One of:

Read-only

object
value

Identifier of the user

integer
text

Name of the user

string
color
string format: hex
username
string format: email
foto_url_absolute_path
string format: uri
created_by

Read-only

object
value

Identifier of the user

integer
text

Name of the user

string
color
string format: hex
username
string format: email
foto_url_absolute_path
string format: uri
cliente
One of:

Read-only

object
text

Name of the client

string
value

Identifier of the client

integer
email
string format: email
movil

Mobile number of the client

string format: tel
notas
string
is_anonymous
boolean
foto_url_absolute_path
string format: uri
localidad
string
importe_ventas
number
importe_deudas
number
code
integer
manual_code
string
fijo
string
dni
string
prefijo_tel
integer
estado
One of:

Read-only

object
id

Identifier of the state

integer
value
integer
nombre
string
text
string
parent

Parent appointment of the current one, read-only

integer
servicios
One of:

Write-only

integer
servicios_combinados

IDs of the combined services of the appointment, write-only. Including combined services in the appointment will automatically split it by services.

Array<integer>
created_timezone

Time adjusted to the center’s time zone, read-only

string format: date-time
venta

Sale created from the appointment, read-only

integer
tags

Labels of the appointment

Array
object
id

Read-only

integer
name

Name of the label

string
hmac_signature

HMAC signature of the appointment used to send the user to the online payment flow, read-only

string

The request is malformed, required fields are missing.

The access key has not been provided in the X-Koibox-Key header

WWW-Authenticate
string
default: X-Koibox-Key

Indicates the required header for authentication

No valid access key has been provided